List networks for an SBM server

GET/v1/hosts/sbm_servers/{server_id}/networks

To list all networks for a server, send a GET request to /v1/hosts/dedicated_servers/{server_id}/networks. Add an ID as a path parameter to indicate a necessary server.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Query Parameters

search_pattern?string

This pattern is used to return resources containing the parameter value in its name.

family?string

This parameter shows if it's an ipv4 or ipv6 network.

Value in

  • "ipv4"
  • "ipv6"
interface_type?string

A type of an interface where a network is configured: public, private, oob (out-of-band).

Value in

  • "public"
  • "private"
  • "oob"
distribution_method?string

A way to distribute a network. In case of gateway, the first one or 4 IP addresses (it depends on a certain location) will be reserved from a network. In case of route, a network will be fully available for customer's use.

Value in

  • "route"
  • "gateway"
additional?boolean

This parameter indicates whether a requested network is ordered additionally. In this case, it has the true value. If it's a default network, it has the false value.

per_page?integer

The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown.

Range1 <= value <= 100
Default20
page?integer

The number of a page (>= 1) that will be returned. By default, it's 1.

Range1 <= value
Default1
sorting?string

This parameter sorts items. By default, it's id. Also, it's possible to sort by updated_at and created_at.

Default"id"

Value in

  • "id"
  • "updated_at"
  • "created_at"
direction?string

This parameter defines if items are sorted in an ascending ASC or descending DESC order. By default, ASC is set up.

Default"ASC"

Value in

  • "ASC"
  • "DESC"

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/hosts/sbm_servers/N1aMXmeW/networks"
[  {    "id": "Jxbo1Neg",    "title": "Public",    "status": "active",    "cidr": "100.0.8.0/29",    "family": "ipv4",    "interface_type": "public",    "distribution_method": "gateway",    "additional": false,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "8mep1raM",    "title": "Private",    "status": "active",    "cidr": "10.128.1.0/29",    "family": "ipv4",    "interface_type": "private",    "distribution_method": "gateway",    "additional": false,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "4zbq3Rep",    "title": "Public",    "status": "active",    "cidr": "100.0.4.0/29",    "family": "ipv4",    "interface_type": "public",    "distribution_method": "gateway",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "MYer3kaO",    "title": "Private",    "status": "active",    "cidr": "10.128.0.128/29",    "family": "ipv4",    "interface_type": "private",    "distribution_method": "gateway",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "LDdw3md1",    "title": "Alias",    "status": "active",    "cidr": "127.2.48.0/24",    "family": "ipv4",    "interface_type": "public",    "distribution_method": "route",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "zPdy3waQ",    "title": "OOB",    "status": "active",    "cidr": "100.35.0.4/31",    "family": "ipv4",    "interface_type": "oob",    "distribution_method": "gateway",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "w9aAV1bv",    "title": "Private OOB network",    "status": "active",    "cidr": "192.168.8.4/31",    "family": "ipv4",    "interface_type": "oob",    "distribution_method": "gateway",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "4oeEjKa0",    "title": "Locally Significant IPv6",    "status": "active",    "cidr": "2a05:93c0:999::8/125",    "family": "ipv6",    "interface_type": "public",    "distribution_method": "gateway",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  },  {    "id": "YQdJoleO",    "title": "thequickbrownfoxjumpsoverthelazydog",    "status": "active",    "cidr": "2a05:93c0:25:10::/64",    "family": "ipv6",    "interface_type": "public",    "distribution_method": "route",    "additional": true,    "updated_at": "2026-05-28T07:06:47Z",    "created_at": "2026-05-28T07:06:47Z"  }]
{  "message": "Bad request",  "code": "BAD_REQUEST",  "params": [    "per_page"  ]}
{  "message": "Not found",  "code": "NOT_FOUND"}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}